Subject: [Iot-directorate] Request for your feedback on the IoT-Dir-work

From: Ines Robles <[email-masked]>
Date: Fri, 16 Apr 2021 11:40:48 +0300

Dear all,

We have gotten only 12 responses to the survey and we are over 50 members.
Thus, we kindly request for your feedback by the *end of April *on the
IoT-Directorate-work through the following form: https://www.surveymonkey.
com/r/BMVF9WK (5 to 7 minutes to fill it).

Thank you very much in advance,

Ines, Samita and Ari